## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseASABaseUserDefinedTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                                      org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                                          org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
                                              org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl
                                                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseUserDefinedTypeImpl

All Implemented Interfaces:
  SybaseASABaseUserDefinedType, DataType, DistinctUserDefinedType, Domain, UserDefinedType, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASACatalogBaseUserDefinedDataType

    public class SybaseASABaseUserDefinedTypeImpl

extends org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl
implements SybaseASABaseUserDefinedType

An implementation of the model object 'Sybase ASA Base User Defined Type'.

The following features are implemented:

- `Nullable`
- `Default Type`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`TypeOfDefault` `getDefaultType()`
`int` `getGlobalIncrementPartitionSize()`
`AllowNullType` `getNullable()`
`boolean` `isLiteralDefault()`
`void` `setDefaultType(TypeOfDefault newDefaultType)`
`void` `setNullable(AllowNullType newNullable)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl
`eInverseRemove, getConstraint, getDefaultValue, setDefaultValue`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
`basicSetPredefinedRepresentation, getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, eInverseAdd, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.Domain
`getConstraint, getDefaultValue, setDefaultValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`getPredefinedRepresentation, setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getNullable

    public AllowNullType getNullable()

  Specified by:
    `getNullable` in interface `SybaseASABaseUserDefinedType`
  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `AllowNullType`, `SybaseASABaseUserDefinedType.setNullable(AllowNullType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType_Nullable()`

### setNullable

    public void setNullable(AllowNullType newNullable)

  Specified by:
    `setNullable` in interface `SybaseASABaseUserDefinedType`
  Parameters:
    `newNullable` - the new value of the 'Nullable' attribute.
  See Also:
    `AllowNullType`, `SybaseASABaseUserDefinedType.getNullable()`

### getDefaultType

    public TypeOfDefault getDefaultType()

  Specified by:
    `getDefaultType` in interface `SybaseASABaseUserDefinedType`
  Returns:
    the value of the 'Default Type' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASABaseUserDefinedType.setDefaultType(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType_DefaultType()`

### setDefaultType

    public void setDefaultType(TypeOfDefault newDefaultType)

  Specified by:
    `setDefaultType` in interface `SybaseASABaseUserDefinedType`
  Parameters:
    `newDefaultType` - the new value of the 'Default Type' attribute.
  See Also:
    `TypeOfDefault`, `SybaseASABaseUserDefinedType.getDefaultType()`

### isLiteralDefault

    public boolean isLiteralDefault()

  Specified by:
    `isLiteralDefault` in interface `SybaseASABaseUserDefinedType`

### getGlobalIncrementPartitionSize

    public int getGlobalIncrementPartitionSize()

  Specified by:
    `getGlobalIncrementPartitionSize` in interface `SybaseASABaseUserDefinedType`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DomainImpl`